Subject: bug#33037: 27.0.50; [PATCH] Support program switches in 'comint-run' command

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Jul 2019 17:33:40 +0200

Phil Sainty <[email-masked]> writes:

> This patch enables arguments to be passed to the specified program when
> invoking `comint-run'.
>
> Interactively, a prefix argument C-u will make the command prompt for
> the switches (as a string) after prompting for the program.  The
> switches are processed with `split-string-and-unquote'.
>
> I think this is a sensible enhancement, but not necessarily the best
> user interface.  Other possibilities which occur are:
>
> 1. Do not require a prefix arg, and simply make this the default
>    prompting behaviour.
>
> 2. Do not require a separate prompt, and instead parse the program
>    and its switches out of a single string.

I think your patch makes sense as it is, so I've applied it to the Emacs
trunk now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no